%define major 2
%define libname %mklibname sigsegv %{major}
%define develname %mklibname sigsegv -d
%define staticname %mklibname sigsegv -d -s

Summary:	Library for handling page faults in user mode
Name:		libsigsegv
Version:	2.14
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		http://libsigsegv.sourceforge.net/
Source0:	http://ftp.gnu.org/gnu/libsigsegv/%{name}-%{version}.tar.xz

%description
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a useful
technique for implementing:
  - pageable virtual memory,
  - memory-mapped access to persistent databases,
  - generational garbage collectors,
  - stack overflow handlers,
  - distributed shared memory,

%package -n %{libname}
Summary:	Library for handling page faults in user mode
Group:		System/Libraries

%description -n %{libname}
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a useful
technique for implementing:
  - pageable virtual memory,
  - memory-mapped access to persistent databases,
  - generational garbage collectors,
  - stack overflow handlers,
  - distributed shared memory,

%package -n %{develname}
Summary:	Development libraries and header files for %{name} 
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname sigsegv 0 -d

%description -n	%{develname}
Libraries and header files for %{name} development.

%package -n %{staticname}
Summary:	Static development libraries for %{name}
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Obsoletes:	%mklibname -d -s sigsegv 0

%description -n %{staticname}
Static development libraries for %{name} development.

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x \
    --libdir=/%{_lib} \
    --enable-shared \
    --enable-static
%make_build


%install
rm -rf %buildroot
%make_install

rm -f %{buildroot}/%{_lib}/*.la
rm -f %{buildroot}/%{_lib}/*.so

install -d %{buildroot}%{_libdir}
ln -s /%{_lib}/libsigsegv.so.%{major} %{buildroot}%{_libdir}/libsigsegv.so
mv %{buildroot}/%{_lib}/lib*.a %{buildroot}%{_libdir}/

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
/%{_lib}/lib*.so.%{major}*

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*

%files -n %{staticname}
%{_libdir}/lib*.a




%changelog
* Fri Jan 28 2022 tex - 2.14-1pclos2022
- new version

* Tue Jan 19 2021 tex - 2.13-1pclos2021
- new version

* Thu Jul 23 2020 tex - 2.12-3pclos2020
- rebuild against updates

* Mon Feb 10 2020 tex - 2.12-2pclos2020
- rebuild glibc 2.31
